package WFUT;

/**
 * The BasicWFUTCallbackHandler implement the WFUTCallbackHandler interface and
 * outputs information to the standard out. 
 */
public class BasicWFUTCallbackHandler implements WFUTCallbackHandler {
  public void DownloadingFile(final String filename) {
    System.out.println("Downloading: " + filename);
  }

  public void DownloadFailed(final String filename) {
    System.out.println("Error Downloading: " + filename);
  }

  public void DownloadComplete(final String filename) {
    System.out.println("Download Complete: " + filename);
  }
  
  public void ChannelBegin(final String channel, int numFiles) {
    System.out.println("Downloading Channel: " + channel);
  }
  
  public void ChannelCompleted(final String channel) {
    System.out.println("Channel Complete: " + channel);
  }
  
  public void Error(final String msg) {
    System.out.println("Error: " + msg);
  }
}
